Subject: bug#7723: Process list gone wild

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Dec 2010 19:29:50 +0200

> From: Lennart Borgman <[email-masked]>
> Date: Sat, 25 Dec 2010 16:29:31 +0100
> Cc: [email-masked]
> 
> As I have said before: all calls to the system must be carefully checked.

A call to Finsert is not a system call.  And there's nothing
system-call'ish in the fact that a value that was supposed to be a
Lisp string is instead a list of strings.  I would rather suspect some
rare condition in the code that doesn't get handled correctly.

> > If you can reproduce this, put a breakpoint inside list_processes_1,
> > and see which of the calls to Finsert signals the error and why.
> 
> It is not reproducible, of course.

Well, then how about running Emacs under a debugger, and when that
happens again, looking around for the information I requested?